查询库存流水(新)
POST
/erp/sc/routing/inventoryLog/WareHouseInventory/wareHouseCenterStatement接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/routing/inventoryLog/WareHouseInventory/wareHouseCenterStatement | HTTPS | POST | 1 |
请求参数
widsstringtypesstringsub_typesstringstart_datestringend_datestringoffsetinteger必填lengthinteger必填请求示例
{
"offset": 0,
"length": 20,
"wids": "1,578,765",
"types": "19",
"sub_types": "1901",
"start_date": "2024-06-29",
"end_date": "2024-07-29"
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataarray<object>必填隐藏子属性
widinteger必填ware_house_namestring必填order_snstring必填product_idinteger必填product_namestring必填skustring必填seller_idinteger必填fnskustring必填product_good_numinteger必填product_bad_numinteger必填product_qc_numinteger必填product_lock_good_numinteger必填product_lock_bad_numinteger必填good_transit_numinteger必填bad_transit_numinteger必填typeinteger必填type_textstring必填sub_typestring必填sub_type_textstring必填fee_coststring必填single_cg_pricestring必填single_fee_coststring必填single_stock_pricestring必填stock_coststring必填product_amountsstring必填head_stock_pricestring必填head_stock_coststring必填opt_uidinteger必填opt_timestring必填opt_real_namestring必填remarkstring必填bidinteger必填brand_namestring必填ref_order_snstring必填product_totalinteger必填good_balance_numinteger必填bad_balance_numinteger必填good_lock_balance_numinteger必填bad_lock_balance_numinteger必填qc_balance_numinteger必填good_transit_balance_numinteger必填statement_idstring必填bad_transit_balance_numinteger必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "6C4B7038-6671-73B1-BF83-752314DE7AFE",
"response_time": "2023-02-22 10:43:57",
"data": [{
"wid": 1,
"ware_house_name": "仓库1",
"order_sn": "IB230110003",
"product_id": 17180,
"product_name": "2023011002",
"sku": "2023011002",
"seller_id": 0,
"fnsku": "",
"product_good_num": -22,
"product_bad_num": 0,
"product_qc_num": 0,
"product_lock_good_num": 0,
"product_lock_bad_num": 0,
"good_transit_num": 0,
"bad_transit_num": 0,
"type": 19,
"type_text": "其他入库",
"sub_type": "1901",
"sub_type_text": "其他入库-手工其他入库",
"fee_cost": "",
"single_cg_price": "",
"single_fee_cost": "",
"single_stock_price": "",
"stock_cost": "",
"product_amounts": "",
"head_stock_price": "",
"head_stock_cost": "",
"opt_uid": 128643,
"opt_time": "2023-02-22 10:43",
"opt_real_name": "姚xx",
"remark": "入库单撤销",
"bid": 0,
"brand_name": "",
"ref_order_sn": "",
"product_total": -22,
"good_balance_num": 0,
"bad_balance_num": 0,
"good_lock_balance_num": 0,
"bad_lock_balance_num": 0,
"qc_balance_num": 0,
"good_transit_balance_num": 0,
"bad_transit_balance_num": 0,
"statement_id": "401283981476127232"
}],
"total": 1
}